=== debian/changelog ===
ros-r2b2-amcl (1.14.0-3xenial) xenial; urgency=high

  * Allow AMCL to run from bag file to allow very fast testing.
  * Fixes interpretation of a delayed initialpose message (see #424 <https://github.com/ros-planning/navigation/issues/424>).
    The tf lookup as it was before this change was very likely to fail as
    ros::Time::now() was used to look up a tf without waiting on the tf's
    availability. Additionally, the computation of the "new pose" by
    multiplying the delta that the robot moved from the initialpose's
    timestamp to ros::Time::now() was wrong. That delta has to by multiplied
    from the right to the "old pose".
    This commit also changes the reference frame to look up this delta to be
    the odom frame as this one is supposed to be smooth and therefore the
    best reference to get relative robot motion in the robot (base link) frame.
  * New unit test for proper interpretation of a delayed initialpose message.
    Modifies the set_pose.py script to be able to send an initial pose with
    a user defined time stamp at a user defined time. Adds a rostest to
    exercise this new option.
    This reveals the issues mentioned in #424 <https://github.com/ros-planning/navigation/issues/424> (the new test fails).
  * Contributors: Derek King, Stephan Wirth

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-r2b2-amcl (1.13.1-3xenial) xenial; urgency=high

  * adds the set_map service to amcl
  * fix pthread_mutex_lock on shutdown
  * Contributors: Michael Ferguson, Stephan Wirth

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-r2b2-amcl (1.13.0-3xenial) xenial; urgency=high

  * amcl_node will now save latest pose on shutdown
  * Contributors: Ian Danforth

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-r2b2-amcl (1.12.0-3xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-r2b2-amcl (1.11.15-3xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-r2b2-amcl (1.11.14-3xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-r2b2-amcl (1.11.13-3xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-r2b2-amcl (1.11.12-3xenial) xenial; urgency=high

  * Bug fix to remove particle weights being reset when motion model is updated
  * Integrated new sensor model which calculates the observation likelihood in a probabilistic manner
    Also includes the option to do beam-skipping (to better handle observations from dynamic obstacles)
  * Pose pulled from parameter server when new map received
  * Contributors: Steven Kordell, hes3pal

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-r2b2-amcl (1.11.11-3xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-r2b2-amcl (1.11.10-3xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-r2b2-amcl (1.11.9-3xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-r2b2-amcl (1.11.8-3xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-r2b2-amcl (1.11.7-3xenial) xenial; urgency=high

  * removes useless this->z_max = z_max assignment
  * Fix warning string.
  * Contributors: Jeremiah Via, enriquefernandez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-r2b2-amcl (1.11.5-3xenial) xenial; urgency=high

  * Fix for #160 <https://github.com/ros-planning/navigation/issues/160>
  * Download test data from download.ros.org instead of willow
  * Change maintainer from Hersh to Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Jan 2014 05:00:00 -0000

ros-r2b2-amcl (1.11.4-3xenial) xenial; urgency=high

  * Package URL Updates
  * amcl_pose and particle cloud are now published latched
  * Fixed or commented out failing amcl tests.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000
