=== debian/control ===
Source: ros-r2b2-amcl
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-r2b2-ament-cmake-auto, ros-r2b2-ament-cmake-ros, ros-r2b2-geometry-msgs, ros-r2b2-map-server, ros-r2b2-nav-msgs, ros-r2b2-rclcpp, ros-r2b2-rcutils, ros-r2b2-sensor-msgs, ros-r2b2-std-srvs, ros-r2b2-tf2, ros-r2b2-tf2-geometry-msgs, ros-r2b2-tf2-msgs, ros-r2b2-tf2-ros, ros-r2b2-ros-workspace
Homepage: http://wiki.ros.org/amcl
Standards-Version: 3.9.2

Package: ros-r2b2-amcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-r2b2-geometry-msgs, ros-r2b2-nav-msgs, ros-r2b2-rclcpp, ros-r2b2-rcutils, ros-r2b2-sensor-msgs, ros-r2b2-std-srvs, ros-r2b2-tf2, ros-r2b2-tf2-geometry-msgs, ros-r2b2-tf2-msgs, ros-r2b2-tf2-ros, ros-r2b2-ros-workspace
Description: amcl is a probabilistic localization system for a robot moving in 2D.
 It implements the adaptive (or KLD-sampling) Monte Carlo localization approach (as described by Dieter Fox), which uses a particle filter to track the pose of a robot against a known map. This node is derived, with thanks, from Andrew Howard's excellent 'amcl' Player driver.
